zenilib: bitrate_manager_state Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
bitrate_manager_state Struct Reference

`#include <bitrate.h>`

## Public Attributes

long | avg_bitsper
long | avg_reservoir
double | avgfloat
int | choice
int | managed
long | max_bitsper
long | min_bitsper
long | minmax_reservoir
long | short_per_long
vorbis_block * | vb

## Detailed Description

Definition at line 26 of file bitrate.h.

## Member Data Documentation

long bitrate_manager_state::avg_bitsper

Definition at line 31 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

long bitrate_manager_state::avg_reservoir

Definition at line 29 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

double bitrate_manager_state::avgfloat

Definition at line 36 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

int bitrate_manager_state::choice

Definition at line 39 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_flushpacket().

int bitrate_manager_state::managed

Definition at line 27 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), vorbis_bitrate_init(), and vorbis_bitrate_managed().

long bitrate_manager_state::max_bitsper

Definition at line 33 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

long bitrate_manager_state::min_bitsper

Definition at line 32 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

long bitrate_manager_state::minmax_reservoir

Definition at line 30 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

long bitrate_manager_state::short_per_long

Definition at line 35 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_init().

vorbis_block* bitrate_manager_state::vb

Definition at line 38 of file bitrate.h.

Referenced by vorbis_bitrate_addblock(), and vorbis_bitrate_flushpacket().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/bitrate.h